#ifndef __CORNFLAKE_H__
#define __CORNFLAKE_H__

struct cornflake;

enum cornflake_err {
	CORNFLAKE_OK = 0,
	CORNFLAKE_ELOCK = -1,
	CORNFLAKE_EDRIFT = -2,
	CORNFLAKE_EMACADDR = -3,
	CORNFLAKE_EOVERFLOW = -4,
};

struct cornflake *cornflake_new(const char *path);
void cornflake_close(struct cornflake *corn);
int cornflake_gen(uint8_t *uid_out, struct cornflake *corn);
int cornflake_gen_hex(char *hex_uid, size_t len, struct cornflake *corn);
int cornflake_set_mac(const char *mac_addr);

#endif
